Bug 24796 - Backport candidate: Godot 3.1.1 (godot3)
Summary: Backport candidate: Godot 3.1.1 (godot3)
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Backports (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal minor
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK
Keywords: validated_backport
Depends on:
Blocks:
 
Reported: 2019-05-09 16:57 CEST by Rémi Verschelde
Modified: 2019-05-30 12:31 CEST (History)
2 users (show)

See Also:
Source RPM: godot3-3.1.1-1.mga6
CVE:
Status comment:


Attachments

Description Rémi Verschelde 2019-05-09 16:57:46 CEST
This is an update to our current godot3 3.0.6 package in Core Backports, to bring the latest upstream release 3.1.1.

As a reminder, Godot 2 and Godot 3 are not compatible with each other, so Mageia 6 ships two different packages:
- godot (2.1.5) in Core Updates
- godot3 (3.0.6) in Core Backports, from bug 22771

This update brings one year worth of changes for users of the godot3 package: https://godotengine.org/article/godot-3-1-released

SRPM in core/backports_testing:
===============================

godot3-3.1.1-1.mga6

RPMs in core/backports_testing:
===============================

godot3-3.1.1-1.mga6
godot3-headless-3.1.1-1.mga6
godot3-server-3.1.1-1.mga6
godot3-runner-3.1.1-1.mga6


Testing info:
=============

Each package has a binary with the same name as the package:
- godot3 is the main binary, which runs the Godot editor and can be used to create/edit/publish games.
- godot3-headless is a CLI-only tools binary, used to export games from the command line.
- godot3-server is an optimized runtime to run game servers for multiplayer Godot games.
- godot3-runner is an optimized runtime to run games packaged in Mageia. There has none packaged for godot3 in Mageia 6 to test with.

It's a complex tool so don't sweat too much testing it, if it seems to run and answers properly to things like `godot3-headless --version`, it should be good to go.
Comment 1 Len Lawrence 2019-05-20 11:36:53 CEST
mga6, x86_64

$ rpm -qa | grep godot
godot-demos-2.1.5-1.mga6
godot-runner-2.1.5-1.mga6
godot-server-2.1.5-1.mga6
godot-2.1.5-1.mga6

Enabled backports testing and updated source media then ran MageiaUpdate and got this:
godot-3.0.2-1
godot-runner-3.0.2-1
godot-server-3.0.2-1
Backports is suppressed.

@Rémi.  Is it possible that the backports testing versions have been overwritten by this older version?

Keywords: (none) => feedback
CC: (none) => tarazed25

Comment 2 Rémi Verschelde 2019-05-20 11:43:54 CEST
As mentioned in comment 0, the packages are named with a "3" suffix:

godot3-3.1.1-1.mga6
godot3-headless-3.1.1-1.mga6
godot3-server-3.1.1-1.mga6
godot3-runner-3.1.1-1.mga6

They're not meant to update godot-2.1.5-1.mga6, which is why they are in backports under a new name as they are not compatible with godot 2.x projects.

The 3.0.2 packages you found are an old first attempt at a backport which was then replaced by the godot3-* packages, but backports_testing has not been cleaned up since then.

Keywords: feedback => (none)

Comment 3 Len Lawrence 2019-05-21 00:16:12 CEST
Sorry about that Rémi - mind not on the job.
All four packages installed cleanly.

$ godot3-headless --version
3.1.1.stable.mageia
$ godot3-server --version
3.1.1.stable.mageia

$ godot3
OpenGL ES 3.0 Renderer: GeForce GTX 970/PCIe/SSE2

This shows a "Godot Engine - Project Manager" gui with tabs for Project List (necessarily empty) and Templates.  There is a menu for locales, defaulting to 'en'.

Expected error messages fro following commands:
$ godot3-runner -u
Error: Could not load game data at path '.'. Is the .pck file missing?
$ godot3-server
Error: Could not load game data at path '.'. Is the .pck file missing?

--help works.

Behaving as expected so passing this for 64-bits.

Whiteboard: (none) => MGA6-64-OK

Comment 4 Len Lawrence 2019-05-30 09:29:30 CEST
Validating this but it still needs an advisory to be pushed.

Keywords: (none) => validated_backport

Comment 5 Len Lawrence 2019-05-30 09:30:52 CEST
Or maybe not - advisories for backports is still a subject for discussion.
Comment 6 Rémi Verschelde 2019-05-30 09:43:25 CEST
We don't use advisories for backports AFAIK, but just in case, this would be it:

Advisory:
=========

Updated godot3 packages provide new 3.1 stable branch

  The new 3.1 stable branch of the Godot game engine was released in March 2019.
  It brings many new features and bug fixes over the previous 3.0 branch.

  Projects started in Godot 3.0.x can be safely upgraded to Godot 3.1.x (but will
  no longer be editable in 3.0.x once upgraded).

References:
 - https://godotengine.org/article/godot-3-1-released
 - https://godotengine.org/article/maintenance-release-godot-3-1-1


SRPM in core/backports_testing:
===============================

godot3-3.1.1-1.mga6

RPMs in core/backports_testing:
===============================

godot3-3.1.1-1.mga6
godot3-headless-3.1.1-1.mga6
godot3-server-3.1.1-1.mga6
godot3-runner-3.1.1-1.mga6
Comment 7 Thomas Backlund 2019-05-30 12:31:17 CEST
Packages moved.

Status: NEW => RESOLVED
Resolution: (none) => FIXED
CC: (none) => tmb


Note You need to log in before you can comment on or make changes to this bug.